;(function (document, $) {

    var $contentContainer = null;

    $(document).on("foundation-contentloaded", function (e) {
        $contentContainer = $('.js-sm-add-dialog-content');

        $contentContainer.on('content:updateSubmittedContent', function(event, data) {
            var values = data.values;
            $contentContainer.empty();
            var collectedValues = {};
            values.forEach(function(item) {
                if (collectedValues.hasOwnProperty(item.properties.sourcePath)) {
                    collectedValues[item.properties.sourcePath].push(item.properties.target_locale);
                } else {
                    collectedValues[item.properties.sourcePath] = [item.properties.target_locale];
                }
            });

            Object.keys(collectedValues).forEach(function(item) {

                var languages = collectedValues[item];

                $contentContainer.append('<tr is="coral-table-row"> <td is="coral-table-cell" class="smartling-submitted-content-table__cell">' + item + '</td> <td is="coral-table-cell" class="smartling-submitted-content-table__cell">' + languages + '</td> </tr>');
            });
        });


        $('#classic-smartling-job-dialog').on('smartlingTranslateDialog:open', function(event) {
            $contentContainer.empty();
        });
    });

})(jQuery(document), Granite.$);